summaryrefslogtreecommitdiffstats
path: root/network/isync
diff options
context:
space:
mode:
author Tom Canich2010-05-13 01:00:04 +0200
committer Robby Workman2010-05-13 01:00:04 +0200
commitc3a23213a9a171a67d48b837b7e53987a24bc7bb (patch)
tree944e2a4119297ee32c24e535b1570e23665e41de /network/isync
parenta927321ae842c1bb8d552bfb38e2b62af7bcf8dc (diff)
downloadslackbuilds-c3a23213a9a171a67d48b837b7e53987a24bc7bb.tar.gz
network/isync: Added to 13.0 repository
Diffstat (limited to 'network/isync')
-rw-r--r--network/isync/README11
-rw-r--r--network/isync/README.SLACKWARE27
-rw-r--r--network/isync/isync.SlackBuild97
-rw-r--r--network/isync/isync.info10
-rw-r--r--network/isync/slack-desc19
5 files changed, 164 insertions, 0 deletions
diff --git a/network/isync/README b/network/isync/README
new file mode 100644
index 0000000000..2dbe7ee081
--- /dev/null
+++ b/network/isync/README
@@ -0,0 +1,11 @@
+isync is a command line application which synchronizes mailboxes; currently
+Maildir and IMAP4 mailboxes are supported. New messages, message deletions
+and flag changes can be propagated both ways. isync is suitable for use in
+IMAP-disconnected mode.
+
+Synchronization is based on unique message identifiers (UIDs), so
+no identification conflicts can occur (as opposed to some other mail
+synchronizers). Synchronization state is kept in one local text file per
+mailbox pair; multiple replicas of a mailbox can be maintained.
+
+See README.SLACKWARE for setup information after installation.
diff --git a/network/isync/README.SLACKWARE b/network/isync/README.SLACKWARE
new file mode 100644
index 0000000000..fd78538da7
--- /dev/null
+++ b/network/isync/README.SLACKWARE
@@ -0,0 +1,27 @@
+README.SLACKWARE for isync
+
+After installation, create $HOME/.mbsyncrc. This file contains information
+about your email stores and channels. An example configuration, between
+a remote IMAP server and a local Maildir:
+
+ MaildirStore local
+ Path ~/Maildir/
+
+ IMAPAccount My-IMAP-server
+ Host mail.myisp.foo
+ Port 143
+ User myuser
+ #Pass mypass -- if not supplied, mbsync will prompt at runtime
+
+ IMAPStore My-IMAP-store
+ Account My-IMAP-Server
+
+ Channel My-Channel
+ Master :My-IMAP-store:
+ Slave :local:
+ Patterns % !Trash # Synchronize all at this level except Trash
+ Sync All
+ Create Both
+ Expunge Both
+
+See mbsync(1) for additional explanation and options.
diff --git a/network/isync/isync.SlackBuild b/network/isync/isync.SlackBuild
new file mode 100644
index 0000000000..fb86281704
--- /dev/null
+++ b/network/isync/isync.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for isync
+
+# Copyright (c) 2009, Tom Canich, State College, Pennsylvania, USA
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# * Neither the name of Tom Canich nor the names of other contributors
+# may be used to endorse or promote products derived from this
+# software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY Tom Canich ''AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL Tom Canich BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=isync
+VERSION=${VERSION:-1.0.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+# Sure, let's ignore --docdir
+make PREFIX=/usr docdir=/usr/doc/$PRGNAM-$VERSION
+make install docdir=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/isync/isync.info b/network/isync/isync.info
new file mode 100644
index 0000000000..164a4ef33c
--- /dev/null
+++ b/network/isync/isync.info
@@ -0,0 +1,10 @@
+PRGNAM="isync"
+VERSION="1.0.4"
+HOMEPAGE="http://isync.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/isync/isync-1.0.4.tar.gz"
+MD5SUM="8a836a6f4b43cd38a8b8153048417616"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Tom Canich"
+EMAIL="tcanich@canich.net"
+APPROVED="rworkman"
diff --git a/network/isync/slack-desc b/network/isync/slack-desc
new file mode 100644
index 0000000000..6f35c7c61c
--- /dev/null
+++ b/network/isync/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+isync: isync (mailbox synchronizer)
+isync:
+isync: isync is a command line application which synchronizes mailboxes;
+isync: currently Maildir and IMAP4 mailboxes are supported. New messages,
+isync: message deletions and flag changes can be propagated both ways. isync
+isync: is suitable for use in IMAP-disconnected mode.
+isync:
+isync: Synchronization is based on unique message identifiers (UIDs), so no
+isync: identification conflicts can occur (as opposed to some other mail
+isync: synchronizers). Synchronization state is kept in one local text file
+isync: per mailbox pair; multiple replicas of a mailbox can be maintained.